package com.fjhx.victoriatourist.controller.jd;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.dto.JdInfoDto;
import com.fjhx.victoriatourist.entity.jd.dto.JdInfoSelectDto;
import com.fjhx.victoriatourist.entity.jd.vo.JdInfoVo;
import com.fjhx.victoriatourist.service.jd.JdInfoService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 京东基本信息表 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-12-09
 */
@RestController
@RequestMapping("/jdInfo")
public class JdInfoController {

    @Autowired
    private JdInfoService jdInfoService;

    /**
     * 京东基本信息表列表
     */
    @PostMapping("/list")
    public List<JdInfoVo> list(@RequestBody JdInfoSelectDto dto) {
        return jdInfoService.getList(dto);
    }

    /**
     * 京东基本信息表分页
     */
    @PostMapping("/page")
    public Page<JdInfoVo> page(@RequestBody JdInfoSelectDto dto) {
        return jdInfoService.getPage(dto);
    }

    /**
     * 京东基本信息表明细
     */
    @PostMapping("/detail")
    public JdInfoVo detail(@RequestBody BaseSelectDto dto) {
        return jdInfoService.detail(dto.getId());
    }

    /**
     * 京东基本信息表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody JdInfoDto jdInfoDto) {
        jdInfoService.add(jdInfoDto);
    }

    /**
     * 京东基本信息表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody JdInfoDto jdInfoDto) {
        jdInfoService.edit(jdInfoDto);
    }

    /**
     * 京东基本信息表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        jdInfoService.delete(dto.getId());
    }

}
